-- Campaign screen layout

function start()
  Add(4, 7.5, Peg.Level, 0, "missions/basic1", "굋갞")
  Add(8, 7.5, Peg.Level, 1, "missions/basic2", "굓곏")
  Add(12, 7.5, Peg.Level, 2, "missions/basic3", "괦곹")
  Add(16, 7.5, Peg.Level, 3, "missions/basic4", "건곁")
  Add(6, 11, Peg.Level, 3, "missions/basic5", "골굍")
  Add(10, 11, Peg.Page, 5, "wood", "곧겟")
  Add(14, 11, Peg.Level, 5, "missions/basic6", "궭굖")

  Add(4, 4, Peg.Back)
  Add(8, 4, Peg.Book, 0, "primer", "궠궝겜괛")
  Add(12, 4, Peg.Book, 0, "credits-small", "굛굎굫")
  Add(16, 4, Peg.Page, 14, "skip", "객굶겕")

  return { bg = {0.1, 0.04, 0.45} }
end

function wood()
  Add(8, 3, Peg.Level, 5, "missions/wood1", "결궽")
  Add(12, 3, Peg.Level, 6, "missions/wood2", "궃갦귄")
  Add(16, 3, Peg.Level, 7, "missions/wood3", "갻걹겉굩")
  Add(6, 6, Peg.Level, 7, "missions/wood4", "궶굚")
  Add(10, 6, Peg.Level, 8, "missions/wood5", "곓괐")
  Add(14, 6, Peg.Level, 9, "missions/wood6", "갞걜굇")
  Add(4, 9, Peg.Level, 10, "missions/wood7", "강것")
  Add(8, 9, Peg.Level, 11, "missions/wood8", "굾굩")
  Add(12, 9, Peg.Level, 12, "missions/wood9", "곁곔")
  Add(16, 9, Peg.Level, 13, "missions/wood10", "겨걲")
  Add(6, 12, Peg.Page, 14, "sewer", "궳곺걞")
  Add(10, 12, Peg.Level, 15, "missions/wood11", "갚굘")
  Add(14, 12, Peg.Level, 16, "missions/wood12", "괜굥궴 곓괐")

  Add(4, 3, Peg.Back)

  return { bg = {0.2, 0.4, 0.2} }
end

function sewer()
  Add(8, 6, Peg.Level, 14, "missions/sewer1", "귃곺")
  Add(12, 6, Peg.Level, 15, "missions/sewer2", "곅곺")
  Add(6, 9, Peg.Level, 16, "missions/sewer3", "괾괤")
  Add(10, 9, Peg.Level, 17, "missions/sewer4", "곁곔")
  Add(14, 9, Peg.Level, 18, "missions/sewer5", "갌곹")
  Add(4, 12, Peg.Level, 19, "missions/sewer6", "갶곮")
  Add(8, 12, Peg.Page, 20, "castle", "걛굗")
  Add(12, 12, Peg.Level, 21, "missions/sewer7", "굔곅괦")
  Add(16, 12, Peg.Level, 22, "missions/sewer8", "굍괎곰굹")

  Add(10, 3, Peg.Back)

  return { bg = {0.15, 0.35, 0.5} }
end

function castle()
  Add(6, 5.5, Peg.Level, 20, "missions/basement1", "궃겖곫")
  Add(9, 4.5, Peg.Level, 21, "missions/basement2", "곓갚")
  Add(12, 3.5, Peg.Level, 22, "missions/basement3", "걚경")
  Add(6, 9.5, Peg.Level, 23, "missions/basement4", "갫궉곂")
  Add(9, 8.5, Peg.Level, 24, "missions/basement5", "걉괫")
  Add(12, 7.5, Peg.Level, 25, "missions/basement6", "곟 골굍")
  Add(15, 6.5, Peg.Level, 26, "missions/basement7", "괜궀 괜굥궴 곓괐")
  Add(9, 12.5, Peg.Level, 27, "missions/basement8", "곺겸")
  Add(12, 11.5, Peg.Page, 28, "villa", "괾굖")
  Add(15, 10.5, Peg.Level, 29, "missions/basement9", "걒겂계")
  Add(18, 9.5, Peg.Level, 30, "missions/basement10", "겢귍 갨")

  Add(3, 6.5, Peg.Back)

  return { bg = {0.3, 0.15, 0.25} }
end

function villa()
  Add(6, 3, Peg.Level, 28, "missions/garden1", "괆궑귂")
  Add(9, 3, Peg.Level, 29, "missions/garden2", "걒겜")
  Add(6, 6, Peg.Level, 30, "missions/garden3", "곥곰괶괕")
  Add(9, 6, Peg.Level, 31, "missions/garden4", "겢귎")
  Add(12, 6, Peg.Level, 32, "missions/garden5", "궲걮곆")
  Add(9, 9, Peg.Level, 33, "missions/garden6", "괵굝")
  Add(12, 9, Peg.Level, 34, "missions/garden7", "갳괺걁갦")
  Add(15, 9, Peg.Level, 35, "missions/garden8", "갦걬")
  Add(12, 12, Peg.Page, 36, "temple", "곰공")
  Add(15, 12, Peg.Level, 37, "missions/garden9", "곺겍")
  Add(18, 12, Peg.Level, 38, "missions/garden10", "겧겹겟")

  Add(3, 3, Peg.Back)

  return { bg = {0.7, 0.65, 0.75} }
end

function temple()
  Add(10, 3, Peg.Level, 36, "missions/temple1", "궤곪")
  Add(14, 3, Peg.Level, 37, "missions/temple2", "갓곶 궳갦")
  Add(4, 6, Peg.Level, 38, "missions/temple3", "괨곶곰")
  Add(8, 6, Peg.Level, 39, "missions/temple4", "굔갞곰")
  Add(12, 6, Peg.Level, 40, "missions/temple5", "궸괎겜")
  Add(16, 6, Peg.Level, 41, "missions/temple6", "괉괎 괭겜갦")
  Add(6, 9, Peg.Level, 42, "missions/temple7", "갼곙")
  Add(10, 9, Peg.Level, 43, "missions/temple8", "걭괠궔")
  Add(14, 9, Peg.Level, 44, "missions/temple9", "굑갥")
  Add(4, 12, Peg.Level, 45, "missions/temple10", "갋걀갦")
  Add(8, 12, Peg.Page, 48, "dark", "갘궼")
  Add(12, 12, Peg.Level, 49, "missions/temple11", "겹 갘궬굨")
  Add(16, 12, Peg.Level, 50, "missions/temple12", "겹국")

  Add(6, 3, Peg.Back)

  return { bg = {0.65, 0.45, 0.1} }
end

function dark(complete)
  local x = 0.86602540378;
  Add(10, 3.5, Peg.Level, 48, "missions/dark1", "괹궎굒갦")
  Add(10 + 4 * x, 5.5, Peg.Level, 50, "missions/dark2", "곥곓")
  Add(10 + 4 * x, 9.5, Peg.Level, 52, "missions/dark3", "귄겹")
  Add(10, 11.5, Peg.Level, 54, "missions/dark4", "굛걔")
  Add(10 - 4 * x, 9.5, Peg.Level, 56, "missions/dark5", "괪겙겢")
  Add(10 - 4 * x, 5.5, Peg.Level, 58, "missions/dark6", "곧굍궘굉")

  if complete then
    Add(17.5, 7.5, Peg.Book, 0, "credits-full", "괢걷")
  end
  Add(10, 7.5, Peg.Back)

  return { bg = {0.1, 0.0, 0.1} }
end

function skip()
  Add(10, 11, Peg.Back)
  Add(4, 10, Peg.Page, 5, "wood", "곧겟")
  Add(5, 6.5, Peg.Page, 14, "sewer", "궳곺걞")
  Add(8, 4, Peg.Page, 20, "castle", "걛굗")
  Add(12, 4, Peg.Page, 28, "villa", "괾굖")
  Add(15, 6.5, Peg.Page, 36, "temple", "곰공")
  Add(16, 10, Peg.Page, 48, "dark", "갘궼")

  Add(6, 13, Peg.Hub, 28, "dlc", "굵걯굇 곺곺갬갳")

  return { bg = {0.4, 0.0, 0.0} }
end

